Some Info:
Written by: John
Written on: Isle of Patmos
Contains prophesy of the end time.
Fun Fact: During the coding of this page I found out that roughly 63 verses have red letters, which mean they where said by Jesus.
